Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Ordering

    java.lang.Object
      org.modeshape.jcr.query.model.Ordering

All Implemented Interfaces:
  Serializable, Ordering, LanguageObject, Visitable

    @Immutable
    public class Ordering

extends Object
implements LanguageObject, Ordering

A specification of the ordering for the results.

See Also:
  Serialized Form

Constructor Summary
`Ordering(DynamicOperand operand, Order order)` Create a new ordering specification, given the supplied operand and order.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`DynamicOperand` | `getOperand()`
`String` | `getOrder()`
`int` | `hashCode()`
`Order` | `order()` The order type.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ordering

    public Ordering(DynamicOperand operand,
                    Order order)

  Create a new ordering specification, given the supplied operand and order.

  Parameters:
    `operand` - the operand being ordered
    `order` - the order type
  Throws:
    `IllegalArgumentException` - if the operand or order type is null

Method Detail

### getOperand

    public DynamicOperand getOperand()

  Specified by:
    `getOperand` in interface `Ordering`

### order

    public Order order()

  The order type.

  Returns:
    the type; never null

### getOrder

    public String getOrder()

  Specified by:
    `getOrder` in interface `Ordering`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.